package be.iminds.ilabt.jfed.rspec.model;

import javax.annotation.Nonnull;
import java.util.*;

public class FlavorList {
    @Nonnull public final String id;
    @Nonnull public final List<String> flavors;

    public FlavorList(@Nonnull String id, Collection<String> flavors) {
        this.id = id;
        this.flavors = Collections.unmodifiableList(new ArrayList<>(flavors));
    }

    @Nonnull
    public String getId() {
        return id;
    }

    @Nonnull
    public List<String> getFlavors() {
        return flavors;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        FlavorList that = (FlavorList) o;
        return id.equals(that.id) &&
                flavors.equals(that.flavors);
    }

    @Override
    public int hashCode() {
        return Objects.hash(id, flavors);
    }
}
